Public Member Functions

# VideoDriver_Win32 Class Reference

The video driver for windows. More...

`#include <win32_v.h>`

Inheritance diagram for VideoDriver_Win32:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | MakeDirty (int left, int top, int width, int height)
| Mark a particular area dirty.
void | MainLoop ()
| Perform the actual drawing.
bool | ChangeResolution (int w, int h)
| Change the resolution of the window.
bool | ToggleFullscreen (bool fullscreen)
| Change the full screen setting.
bool | AfterBlitterChange ()
| Callback invoked after the blitter was changed.
bool | ClaimMousePointer ()
const char * | GetName () const
| Get the name of this driver.
bool | MakeWindow (bool full_screen)
| Instantiate a new window.

## Detailed Description

The video driver for windows.

Definition at line 18 of file win32_v.h.

## Member Function Documentation

bool VideoDriver_Win32::AfterBlitterChange | ( |  | ) | `[virtual]`

Callback invoked after the blitter was changed.

Returns:
  True if no error.

Reimplemented from VideoDriver.

Definition at line 1081 of file win32_v.cpp.

References MakeWindow().

bool VideoDriver_Win32::ChangeResolution | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Change the resolution of the window.

Parameters:

  | w | The new width.
  | h | The new height.

Returns:
  True if the change succeeded.

Implements VideoDriver.

Definition at line 1066 of file win32_v.cpp.

References MakeWindow().

Referenced by MakeWindow().

const char* VideoDriver_Win32::GetName | ( |  | ) | const`[inline, virtual]`

Get the name of this driver.

Returns:
  The name of the driver.

Implements Driver.

Definition at line 36 of file win32_v.h.

void VideoDriver_Win32::MakeDirty | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Mark a particular area dirty.

Parameters:

  | left | The left most line of the dirty area.
  | top | The top most line of the dirty area.
  | width | The width of the dirty area.
  | height | The height of the dirty area.

Implements VideoDriver.

Definition at line 923 of file win32_v.cpp.

bool VideoDriver_Win32::MakeWindow | ( | bool | full_screen | ) |

Instantiate a new window.

Parameters:

  | full_screen | Whether to make a full screen window or not.

Returns:
  True if the window could be created.

Definition at line 254 of file win32_v.cpp.

References ChangeResolution(), GameSizeChanged(), BlitterFactoryBase::GetCurrentBlitter(), Blitter::GetScreenDepth(), lengthof, Blitter::PostResize(), and usererror().

Referenced by AfterBlitterChange(), ChangeResolution(), Start(), and ToggleFullscreen().

const char * VideoDriver_Win32::Start | ( | const char *const * | parm | ) | `[virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 885 of file win32_v.cpp.

References _cur_resolution, _draw_threaded, DEBUG, GetCPUCoreCount(), GetDriverParam(), MakeWindow(), and MarkWholeScreenDirty().

bool VideoDriver_Win32::ToggleFullscreen | ( | bool | fullscreen | ) | `[virtual]`

Change the full screen setting.

Parameters:

  | fullscreen | The new setting.

Returns:
  True if the change succeeded.

Implements VideoDriver.

Definition at line 1076 of file win32_v.cpp.

References MakeWindow().

The documentation for this class was generated from the following files:

- src/video/win32_v.h
- src/video/win32_v.cpp